/*
 * Author:	Doyle C. Davidson
 *		Intergraph Corporation
 *		One Madison Industrial Park
 *		Huntsville, Al.  35894-0001
 *
 * My macros for using XtSetArg easily:
 * Usage:
 *	
 *	blah()
 *	{
 *	DeclareArgs(2);
 *		...
 *		FirstArg(XmNx, 100);
 *		NextArg(XmNy, 80);
 *		button = XmCreatePushButton(parent, name, Args, ArgCount);
 *	}
 */

#define ArgCount	_fooArgCount
#define Args		_fooArgList
#define ArgCountMax     _fooArgCountMax

#define DeclareArgs(n)  Arg Args[n]; int ArgCountMax = n; int ArgCount

#define FirstArg(name, val) \
	{ XtSetArg(Args[0], (name), (val)); ArgCount=1;}
#if defined(DEBUG) || defined(NDEBUG) || defined(NO_ASSERT)
#define NextArg(name, val) \
	{ XtSetArg(Args[ArgCount], (name), (val)); ArgCount++;}
#else
#define NextArg(name, val) \
	{ assert(ArgCount < ArgCountMax); \
	  XtSetArg(Args[ArgCount], (name), (val)); ArgCount++;}
#endif
