/*
 * global stuff
 */

#ifndef _DECLARE_H
#define _DECLARE_H

#include <stdio.h>
#include <stdlib.h>
#include <X11/Intrinsic.h>
#include <Xm/Xm.h>

#define RGB_FNAME	"/usr/lib/X11/rgb.txt"
#define MAX_COLORS	1024
#define XS(s)   XmStringCreateSimple((s))

typedef struct {
	int	pixmapWidth;	/* default width */
	int	pixmapHeight;	/* default height */
	String	loadfile;	/* initial pixmap to edit */
	int	scale;		/* default pixmap zoom factor */
	Bool	emptyCmap;	/* start with an empty colormap? */
	String	colorfile;	/* file to load default RGB values */
} AppData, *AppDataPtr;

enum { XPE_Error, XPE_Help, XPE_Info, XPE_Warning, XPE_Other};

extern AppData appData;
extern XtAppContext appCon;
extern Display *display;	/* avoid lots of XtDisplay() calls */
extern int screen;		/* save for convenience */
extern Widget topLevel;		/* everybody needs this */
extern Pixel curPixel;		/* current drawing pixel */
extern Colormap cmap;		/* our colormap */
extern XFontStruct *currentFont;/* current selected font */

/* Don't add anything after this line */
#endif
